<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.hssf.model.RecordStream (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.hssf.model.RecordStream (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
               title="class in org.apache.poi.hssf.model">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/model/class-use/RecordStream.html" target="_top">Frames</a>
        </li>
        <li><a href="RecordStream.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.hssf.model.RecordStream" class="title">Uses of Class<br>org.apache.poi.hssf.model.RecordStream
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
                                                    title="class in org.apache.poi.hssf.model">RecordStream</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.model">org.apache.poi.hssf.model</a></td>
                    <td class="colLast">
                        <div class="block">Provides low level API structures for reading, writing, modifying XLS
                            files.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.record.aggregates">org.apache.poi.hssf.record.aggregates</a>
                    </td>
                    <td class="colLast">
                        <div class="block">record aggregates are not real "records" but collections of records that act
                            as a single record.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hssf.model">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
                                   title="class in org.apache.poi.hssf.model">RecordStream</a> in <a
                            href="../../../../../../org/apache/poi/hssf/model/package-summary.html">org.apache.poi.hssf.model</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/model/package-summary.html">org.apache.poi.hssf.model</a> that return <a
                                href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
                                title="class in org.apache.poi.hssf.model">RecordStream</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
                                    title="class in org.apache.poi.hssf.model">RecordStream</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">RowBlocksReader.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/model/RowBlocksReader.html#getPlainRecordStream--">getPlainRecordStream</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/model/package-summary.html">org.apache.poi.hssf.model</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
                                title="class in org.apache.poi.hssf.model">RecordStream</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hssf/model/InternalSheet.html"
                                    title="class in org.apache.poi.hssf.model">InternalSheet</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">InternalSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/model/InternalSheet.html#createSheet-org.apache.poi.hssf.model.RecordStream-">createSheet</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
                                    title="class in org.apache.poi.hssf.model">RecordStream</a>&nbsp;rs)</code>
                                <div class="block">read support (offset used as starting point for search) for low level
                                    API.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/hssf/model/package-summary.html">org.apache.poi.hssf.model</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
                                title="class in org.apache.poi.hssf.model">RecordStream</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/model/RowBlocksReader.html#RowBlocksReader-org.apache.poi.hssf.model.RecordStream-">RowBlocksReader</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
                                    title="class in org.apache.poi.hssf.model">RecordStream</a>&nbsp;rs)</code>
                                <div class="block">Also collects any loose MergeCellRecords and puts them in the
                                    supplied
                                    mergedCellsTable
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.record.aggregates">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
                                   title="class in org.apache.poi.hssf.model">RecordStream</a> in <a
                            href="../../../../../../org/apache/poi/hssf/record/aggregates/package-summary.html">org.apache.poi.hssf.record.aggregates</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/record/aggregates/package-summary.html">org.apache.poi.hssf.record.aggregates</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
                                title="class in org.apache.poi.hssf.model">RecordStream</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">PageSettingsBlock.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html#addLateRecords-org.apache.poi.hssf.model.RecordStream-">addLateRecords</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
                                    title="class in org.apache.poi.hssf.model">RecordStream</a>&nbsp;rs)</code>
                                <div class="block">This method reads PageSettingsBlock records from the supplied
                                    RecordStream until the first
                                    non-PageSettingsBlock record is encountered.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WorksheetProtectionBlock.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/aggregates/WorksheetProtectionBlock.html#addRecords-org.apache.poi.hssf.model.RecordStream-">addRecords</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
                                    title="class in org.apache.poi.hssf.model">RecordStream</a>&nbsp;rs)</code>
                                <div class="block">This method reads <a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/WorksheetProtectionBlock.html"
                                        title="class in org.apache.poi.hssf.record.aggregates"><code>WorksheetProtectionBlock</code></a>
                                    records from the supplied RecordStream
                                    until the first non-WorksheetProtectionBlock record is encountered.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">ValueRecordsAggregate.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/aggregates/ValueRecordsAggregate.html#construct-org.apache.poi.hssf.record.CellValueRecordInterface-org.apache.poi.hssf.model.RecordStream-org.apache.poi.hssf.record.aggregates.SharedValueManager-">construct</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                    title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a>&nbsp;rec,
                                <a href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
                                   title="class in org.apache.poi.hssf.model">RecordStream</a>&nbsp;rs,
                                <a href="../../../../../../org/apache/poi/hssf/record/aggregates/SharedValueManager.html"
                                   title="class in org.apache.poi.hssf.record.aggregates">SharedValueManager</a>&nbsp;sfh)</code>
                                <div class="block">Processes a single cell value record</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hssf/record/aggregates/CFRecordsAggregate.html"
                                    title="class in org.apache.poi.hssf.record.aggregates">CFRecordsAggregate</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">CFRecordsAggregate.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/aggregates/CFRecordsAggregate.html#createCFAggregate-org.apache.poi.hssf.model.RecordStream-">createCFAggregate</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
                                    title="class in org.apache.poi.hssf.model">RecordStream</a>&nbsp;rs)</code>
                                <div class="block">Create CFRecordsAggregate from a list of CF Records</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">MergedCellsTable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/aggregates/MergedCellsTable.html#read-org.apache.poi.hssf.model.RecordStream-">read</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
                                    title="class in org.apache.poi.hssf.model">RecordStream</a>&nbsp;rs)</code>
                                <div class="block">reads zero or more consecutive <a
                                        href="../../../../../../org/apache/poi/hssf/record/MergeCellsRecord.html"
                                        title="class in org.apache.poi.hssf.record"><code>MergeCellsRecord</code></a>s
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/hssf/record/aggregates/package-summary.html">org.apache.poi.hssf.record.aggregates</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
                                title="class in org.apache.poi.hssf.model">RecordStream</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/aggregates/ChartSubstreamRecordAggregate.html#ChartSubstreamRecordAggregate-org.apache.poi.hssf.model.RecordStream-">ChartSubstreamRecordAggregate</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
                                    title="class in org.apache.poi.hssf.model">RecordStream</a>&nbsp;rs)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/aggregates/ColumnInfoRecordsAggregate.html#ColumnInfoRecordsAggregate-org.apache.poi.hssf.model.RecordStream-">ColumnInfoRecordsAggregate</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
                                    title="class in org.apache.poi.hssf.model">RecordStream</a>&nbsp;rs)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/aggregates/ConditionalFormattingTable.html#ConditionalFormattingTable-org.apache.poi.hssf.model.RecordStream-">ConditionalFormattingTable</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
                                    title="class in org.apache.poi.hssf.model">RecordStream</a>&nbsp;rs)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/aggregates/CustomViewSettingsRecordAggregate.html#CustomViewSettingsRecordAggregate-org.apache.poi.hssf.model.RecordStream-">CustomViewSettingsRecordAggregate</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
                                    title="class in org.apache.poi.hssf.model">RecordStream</a>&nbsp;rs)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/aggregates/DataValidityTable.html#DataValidityTable-org.apache.poi.hssf.model.RecordStream-">DataValidityTable</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
                                    title="class in org.apache.poi.hssf.model">RecordStream</a>&nbsp;rs)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/aggregates/PageSettingsBlock.html#PageSettingsBlock-org.apache.poi.hssf.model.RecordStream-">PageSettingsBlock</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
                                    title="class in org.apache.poi.hssf.model">RecordStream</a>&nbsp;rs)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html#RowRecordsAggregate-org.apache.poi.hssf.model.RecordStream-org.apache.poi.hssf.record.aggregates.SharedValueManager-">RowRecordsAggregate</a></span>(<a
                                    href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
                                    title="class in org.apache.poi.hssf.model">RecordStream</a>&nbsp;rs,
                                <a href="../../../../../../org/apache/poi/hssf/record/aggregates/SharedValueManager.html"
                                   title="class in org.apache.poi.hssf.record.aggregates">SharedValueManager</a>&nbsp;svm)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hssf/model/RecordStream.html"
               title="class in org.apache.poi.hssf.model">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/model/class-use/RecordStream.html" target="_top">Frames</a>
        </li>
        <li><a href="RecordStream.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
